[CRIU] [PATCH] systemd-autofs-restart.sh: do not treat absence on bindmount as error

Stanislav Kinsburskiy skinsbursky at virtuozzo.com
Fri Aug 5 07:31:56 PDT 2016


There can be autofs direct mount point without target mount on top.
In this case there won't be any bindmount and nothing to restore on top of the
autofs mount point.

Signed-off-by: Stanislav Kinsburskiy <skinsbursky at virtuozzo.com>
---
 scripts/systemd-autofs-restart.sh |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/scripts/systemd-autofs-restart.sh b/scripts/systemd-autofs-restart.sh
index d57f19b..2545fdf 100755
--- a/scripts/systemd-autofs-restart.sh
+++ b/scripts/systemd-autofs-restart.sh
@@ -108,7 +108,7 @@ function save_mountpoint {
 function restore_mountpoint {
 	local mountpoint=$1
 
-	[ -n "$bindmount" ] || exit 1
+	[ -n "$bindmount" ] || return
 
 	# Umount file system, remounted by systemd, if any
 	if ! check_fs_type $mountpoint "autofs"; then



More information about the CRIU mailing list